# Driver Commands

- [Overview](https://docs.pylenium.io/driver-commands/commands.md): Pylenium offers many commands and features out of the box.
- [Navigation](https://docs.pylenium.io/driver-commands/navigation.md): Commands to navigate the driver to different web sites and pages.
- [go](https://docs.pylenium.io/driver-commands/navigation/go.md): Navigate forward or back in the browser's history.
- [quit](https://docs.pylenium.io/driver-commands/navigation/quit.md): The command to quit the driver and close all associated windows.
- [reload](https://docs.pylenium.io/driver-commands/navigation/reload.md): The command to reload or "refresh" the current page
- [visit](https://docs.pylenium.io/driver-commands/navigation/visit.md): The command to navigate to URLs.
- [Find Elements](https://docs.pylenium.io/driver-commands/find-elements.md): How to find one or more elements in Pylenium
- [contains](https://docs.pylenium.io/driver-commands/find-elements/contains.md): The command to get a single Element containing the given text.
- [find](https://docs.pylenium.io/driver-commands/find-elements/find.md): The command to get a list of Elements that match the CSS selector.
- [findx](https://docs.pylenium.io/driver-commands/find-elements/find_xpath.md): The command to get a list of Elements that match the XPath selector.
- [get](https://docs.pylenium.io/driver-commands/find-elements/get.md): The command to get a single Element that matches the CSS selector.
- [getx](https://docs.pylenium.io/driver-commands/find-elements/get_xpath.md): The command to get a single Element using an XPath selector.
- [Driver.should()](https://docs.pylenium.io/driver-commands/should.md): A collection of expected conditions against the current browser.
- [Browser](https://docs.pylenium.io/driver-commands/browser.md): Other commands that deal with the browser windows, tabs, URL, title, and more!
- [execute\_script](https://docs.pylenium.io/driver-commands/browser/execute_script.md): The command to execute javascript into the browser.
- [execute\_async\_script](https://docs.pylenium.io/driver-commands/browser/execute_async_script.md): The command to execute async javascript into the browser.
- [maximize\_window](https://docs.pylenium.io/driver-commands/browser/maximize_window.md): The command the maximize the current window.
- [screenshot](https://docs.pylenium.io/driver-commands/browser/screenshot.md): The command to take a screenshot of the current window.
- [scroll\_to](https://docs.pylenium.io/driver-commands/browser/scroll_to.md): The command to scroll to the given location.
- [title](https://docs.pylenium.io/driver-commands/browser/title.md): The command to get the current page's title.
- [url](https://docs.pylenium.io/driver-commands/browser/url.md): The command to get the current page's URL.
- [window\_handles](https://docs.pylenium.io/driver-commands/browser/window_handles.md): This property gets a list of all the window handles in the current browser session.
- [window\_size](https://docs.pylenium.io/driver-commands/browser/window_size.md): This property get the size of the current window.
- [viewport](https://docs.pylenium.io/driver-commands/browser/viewport.md): The command to control the size and orientation of the current browser window.
- [Cookies](https://docs.pylenium.io/driver-commands/cookies.md): Driver commands to work with browser cookies.
- [delete\_all\_cookies](https://docs.pylenium.io/driver-commands/cookies/delete_all_cookies.md): The command to delete all cookies in the current browser session.
- [delete\_cookie](https://docs.pylenium.io/driver-commands/cookies/delete_cookie.md): The command to delete a cookie with the given name.
- [get\_all\_cookies](https://docs.pylenium.io/driver-commands/cookies/get_cookies.md): The command to get all cookies in the current browser session.
- [get\_cookie](https://docs.pylenium.io/driver-commands/cookies/get_cookie.md): The command to get the cookie with the given name.
- [set\_cookie](https://docs.pylenium.io/driver-commands/cookies/set_cookie.md): The command to set a cookie into the current browser session.
- [Switch To](https://docs.pylenium.io/driver-commands/switch-to.md): Commands to switch the driver's context between tabs, windows, and iframes.
- [default\_content](https://docs.pylenium.io/driver-commands/switch-to/switch_to.default_content.md): The command to switch the driver's context to the default (or starting) content.
- [frame](https://docs.pylenium.io/driver-commands/switch-to/switch_to.frame.md): The command to switch the driver's context to the frame given its name or id.
- [frame\_by\_element](https://docs.pylenium.io/driver-commands/switch-to/frame_by_element.md): The command to switch the driver's context to the given element.
- [parent\_frame](https://docs.pylenium.io/driver-commands/switch-to/switch_to.parent_frame.md): The command to switch the driver's context to the parent frame of the current frame.
- [window](https://docs.pylenium.io/driver-commands/switch-to/switch_to.window.md): The command to switch the driver's context to the specified Window or Browser Tab.
- [new\_window](https://docs.pylenium.io/driver-commands/switch-to/new_window.md): The command to open a new browser window and switch to it.
- [new\_tab](https://docs.pylenium.io/driver-commands/switch-to/new_tab.md): The command to open a new browser tab and switch to it.
- [Web Performance](https://docs.pylenium.io/driver-commands/web-performance.md): Pylenium provides different APIs to capture web performance metrics.
- [Performance API](https://docs.pylenium.io/driver-commands/web-performance/performance-api.md): Pylenium's custom performance API to capture different metrics.
- [CDP Performance](https://docs.pylenium.io/driver-commands/web-performance/cdp-performance.md): Chrome DevTools Protocol (CDP) Performance API to capture metrics.
- [fake](https://docs.pylenium.io/driver-commands/fake.md): A basic instance of Faker to generate test data.
- [wait](https://docs.pylenium.io/driver-commands/wait.md): The command to execute a method or function as a condition to wait for.
- [webdriver](https://docs.pylenium.io/driver-commands/webdriver.md): The property to get the current instance of Selenium's WebDriver.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pylenium.io/driver-commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
